<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ajax_gallery_panel.php
| CVS Version: 1.1
| Author: bartek124
| E-Mail: bartek124@php-fusion.pl
| Web: bartek124.php-fusion.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."ajax_gallery_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ajax_gallery_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ajax_gallery_panel/locale/English.php";
}

if(iADMIN) {
	openside($locale['agp_com1']);
	echo "<div class='admin-message'>".$locale['agp_com2']."</div>";
	closeside();
}

if(FUSION_SELF == "photogallery.php" && isset($_GET['album_id'])) {
	add_to_head("<script type=\"text/javascript\">var lbdir = \"".INFUSIONS."ajax_gallery_panel/jscripts/\";</script>\n<script type=\"text/javascript\" src=\"".INFUSIONS."ajax_gallery_panel/jscripts/js/prototype.js\"></script>\n<script type=\"text/javascript\" src=\"".INFUSIONS."ajax_gallery_panel/jscripts/js/scriptaculous.js?load=effects\"></script>\n<script type=\"text/javascript\" src=\"".INFUSIONS."ajax_gallery_panel/jscripts/js/lightbox.js\"></script>\n<link rel=\"stylesheet\" href=\"".INFUSIONS."ajax_gallery_panel/jscripts/css/lightbox.css\" type=\"text/css\" media=\"screen\" />");

	function lightbox_gallery($buffer) {
		global $settings, $locale;
		
		if(preg_match_all('#<!--photogallery_album_photo_([0-9]+)-->#si', $buffer, $photo_id, PREG_PATTERN_ORDER)) {
			
			$i = 0;
			$query = "";
			foreach($photo_id[1] as $id) {
				$query .= ($i !=0 ? " OR" : "")." photo_id='".$id."'";
				$i++;
			}
			unset($photo_id);
			unset($i);
			unset($id);
			
			$result = dbquery("SELECT photo_id, photo_filename FROM ".DB_PHOTOS." WHERE ".$query);
			unset($query);
			
			if($settings['photo_watermark']) {
				while($data = dbarray($result)) {
					$buffer = str_replace("<a href='photogallery.php?photo_id=".$data['photo_id']."' class='photogallery_album_photo_link'>", "<a href='photo.php?photo_id=".$data['photo_id']."&full' class='photogallery_album_photo_link' rel='lightbox[roadtrip]'>", $buffer);
				}
			} else {
				while($data = dbarray($result)) {
					$buffer = str_replace("<a href='photogallery.php?photo_id=".$data['photo_id']."' class='photogallery_album_photo_link'>", "<a href='".PHOTODIR.$data['photo_filename']."' class='photogallery_album_photo_link' rel='lightbox[roadtrip]'>", $buffer);
				}
			}
		}
		$buffer = preg_replace("^<!--photogallery_album_photo_([0-9]+)-->(.*?)(".$locale['436']."|".$locale['436b'].")([0-9]+)<br />^si", "<!--photogallery_album_photo_\\1-->\\2<a href='photogallery.php?photo_id=\\1#comments'>\\3\\4</a><br />", $buffer);
		
		return $buffer;
	}
	add_handler("lightbox_gallery");
}
?>